CompositeViewResolver (Grails 6.0.0)

Package: org.grails.web.servlet.view

## [Groovy] Class CompositeViewResolver

- org.grails.web.servlet.view.CompositeViewResolver

-     @groovy.transform.CompileStatic
      class CompositeViewResolver
      extends java.lang.Object

  Performs the job of iterating across registered view resolvers and returning the first matching view similar to the hard coded behavior in DispatcherServlet

  Authors:
    Graeme Rocher
  Since:
    3.1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `BEAN_NAME` |
    `private java.util.List<org.springframework.web.servlet.ViewResolver>` | `viewResolvers` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<org.springframework.web.servlet.ViewResolver>` | `viewResolvers`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompositeViewResolver ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.web.servlet.View` | `resolveView(java.lang.String viewName, java.util.Locale locale)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String BEAN_NAME

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private java.util.List<org.springframework.web.servlet.ViewResolver> viewResolvers

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) java.util.List<org.springframework.web.servlet.ViewResolver> viewResolvers

  - ### Constructor Detail

    - #### CompositeViewResolver()

  - ### Method Detail

    - #### org.springframework.web.servlet.View resolveView(java.lang.String viewName, java.util.Locale locale)